--------------------------------------------------------------------------------
LIBRARY IEEE;
USE IEEE.Std_Logic_1164.all;
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
ENTITY Configurable_IC11 IS
  PORT(
      IO0 : INOUT std_logic;
      IO1 : INOUT std_logic;
      IO2 : INOUT std_logic;
      IO3 : INOUT std_logic;
      IO4 : INOUT std_logic;
      IO5 : INOUT std_logic;
      IO6 : INOUT std_logic;
      IO7 : INOUT std_logic;
      IO8 : INOUT std_logic;
      IO9 : INOUT std_logic;
      IO10 : INOUT std_logic;
      IO11 : INOUT std_logic;
      IO12 : INOUT std_logic;
      IO13 : INOUT std_logic;
      IO14 : INOUT std_logic;
      IO15 : INOUT std_logic;
      IOB : INOUT std_logic_vector(15 downto 0)
  );
END Configurable_IC11;
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
ARCHITECTURE structure OF Configurable_IC11 IS
SIGNAL VCC : std_logic;
BEGIN
    VCC <= '1';

    IOB(0) <= IO0 WHEN (VCC='1') ELSE 'Z';
    IOB(1) <= IO1 WHEN (VCC='1') ELSE 'Z';
    IOB(2) <= IO2 WHEN (VCC='1') ELSE 'Z';
    IOB(3) <= IO3 WHEN (VCC='1') ELSE 'Z';
    IOB(4) <= IO4 WHEN (VCC='1') ELSE 'Z';
    IOB(5) <= IO5 WHEN (VCC='1') ELSE 'Z';
    IOB(6) <= IO6 WHEN (VCC='1') ELSE 'Z';
    IOB(7) <= IO7 WHEN (VCC='1') ELSE 'Z';
    IOB(8) <= IO8 WHEN (VCC='1') ELSE 'Z';
    IOB(9) <= IO9 WHEN (VCC='1') ELSE 'Z';
    IOB(10) <= IO10 WHEN (VCC='1') ELSE 'Z';
    IOB(11) <= IO11 WHEN (VCC='1') ELSE 'Z';
    IOB(12) <= IO12 WHEN (VCC='1') ELSE 'Z';
    IOB(13) <= IO13 WHEN (VCC='1') ELSE 'Z';
    IOB(14) <= IO14 WHEN (VCC='1') ELSE 'Z';
    IOB(15) <= IO15 WHEN (VCC='1') ELSE 'Z';


    IO0 <= IOB(0);
    IO1 <= IOB(1);
    IO2 <= IOB(2);
    IO3 <= IOB(3);
    IO4 <= IOB(4);
    IO5 <= IOB(5);
    IO6 <= IOB(6);
    IO7 <= IOB(7);
    IO8 <= IOB(8);
    IO9 <= IOB(9);
    IO10 <= IOB(10);
    IO11 <= IOB(11);
    IO12 <= IOB(12);
    IO13 <= IOB(13);
    IO14 <= IOB(14);
    IO15 <= IOB(15);
END structure;
--------------------------------------------------------------------------------
